Question [DB Errors] You have an error in your SQL syntax

Status
Not open for further replies.

KristerSwe

Customer
Try to install and get this error

Code:
Database error in vBulletin 4.1.10:

Invalid SQL:
CREATE TABLE `hdposttemplate` (
  `pid` int(15) NOT NULL auto_increment,
  `userid` int(15) NOT NULL default '0',
  `parentid` int(15) NOT NULL default '0',
  `type` enum('category','template') NOT NULL default 'category',
  `title` varchar(255) NOT NULL,
  `content` mediumtext NOT NULL,
  PRIMARY KEY  (`pid`),
  KEY `userid` (`userid`)
) Type=MyISAM;

MySQL Error   : You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'Type=MyISAM' at line 10
Error Number  : 1064
Request Date  : Tuesday, January 17th 2012 @ 06:13:16 AM
Error Date    : Tuesday, January 17th 2012 @ 06:13:16 AM
Script        : http://www.xxxxxxxxx.se/admincp/plugin.php?do=productimport
Referrer      : http://www.xxxxxxxxxx.se/admincp/plugin.php?do=productadd
IP Address    : xx.xxx.xx.xxx
Username      : xxxxxx
Classname     : vB_Database_MySQLi
MySQL Version : 5.5.16
 

Fillip H.

Staff member
Owner
Developer
That's perfectly valid SQL, I don't know why your database doesn't accept it but it's not a problem I'm able to fix sadly :(

I tested it here on DBTech's database and it works fine.
 

KristerSwe

Customer
Changed the installcode

From this:

Type=MyISAM

To this:

Engine=MyISAM

And installed fine now.. Works perfeclty Thanks
 
Last edited:

GoodApples

Customer
Changed the installcode

From this:

Type=MyISAM

To this:

Engine=MyISAM

And installed fine now.. Works perfeclty Thanks
I could look it up :p but was is the difference?
Type
vs
Engine

Why use one and not the other?
Would it hurt if I changed mine to Engine?
 
Last edited:

Ozzy47

Former Developer
Customer
I think it is dependent on the version of MySQL.

If yours installed without those errors, I would not worry about it.
 

Gecuba

Customer
Changed the installcode

From this:

Type=MyISAM

To this:

Engine=MyISAM

And installed fine now.. Works perfeclty Thanks
Thanks a lot for sharing! I had exactly the same db-error, changed xml-file as you described - and installed this mod.
 
Last edited:

KristerSwe

Customer
Welcome. this happends sometimes on some mods if you using newer version of MySQL :)

Glad it worked out for you . :)
 
Status
Not open for further replies.

Post Templates

vBulletin 4.x.x
Seller
DragonByte Technologies
Release date
Last update
Total downloads
25
Customer rating
0.00 star(s) 0 ratings
Top